##################################################
# TI Connectivity Configs
##################################################

# Disable unused I2C options
CONFIG_I2C_MUX=n
CONFIG_I2C_DESIGNWARE_PLATFORM=n
CONFIG_I2C_GPIO=n
CONFIG_I2C_RK3X=n
CONFIG_I2C_XILINX=n

# I2C GPIO expanders
CONFIG_GPIO_PCF857X=y
CONFIG_GPIO_TPIC2810=m

#SPI GPIO expanders
CONFIG_GPIO_PISOSR=m

#PCIe
CONFIG_PCI=y
CONFIG_PCI_DRA7XX=y
CONFIG_PHY_TI_KEYSTONE_SERDES=y
#These drivers have been used with DRA7x/AM57x PCIe RC with some success
CONFIG_NET_VENDOR_BROADCOM=y
CONFIG_NET_VENDOR_MARVELL=y
CONFIG_NET_VENDOR_INTEL=y
CONFIG_TIGON3=m
CONFIG_SKGE=m
CONFIG_E1000=m
CONFIG_E1000E=m
CONFIG_IWLWIFI=m
CONFIG_IWLDVM=m

#SATA
CONFIG_AHCI=m
CONFIG_SATA_AHCI_PLATFORM=m
CONFIG_SATA_AHCI=m
CONFIG_ATA=m

#MTD
CONFIG_MTD_TESTS=m
CONFIG_MTD_NAND_OMAP2=y
CONFIG_MTD_NAND_OMAP_BCH=y
CONFIG_MTD_NAND_OMAP_BCH_BUILD=y
CONFIG_OMAP_GPMC=y

# Networking
CONFIG_NF_CONNTRACK=m
CONFIG_NF_CONNTRACK_IPV4=m
CONFIG_IP_NF_IPTABLES=m
CONFIG_IP_NF_ARPTABLES=m
CONFIG_IP_NF_ARPFILTER=m
CONFIG_IP_NF_ARP_MANGLE=m
CONFIG_IP_NF_FILTER=m
CONFIG_IP_NF_NAT=m
CONFIG_NF_NAT_IPV4=m
CONFIG_IP_NF_TARGET_MASQUERADE=m
CONFIG_BRIDGE=m
CONFIG_XFRM_USER=m
CONFIG_NET_KEY=m
CONFIG_INET=y
CONFIG_INET_AH=m
CONFIG_INET6_AH=m
CONFIG_INET6_IPCOMP=m
CONFIG_INET6_XFRM_TUNNEL=m
CONFIG_INET6_TUNNEL=m
CONFIG_INET_ESP=m
CONFIG_INET_IPCOMP=m
CONFIG_INET_XFRM_MODE_TRANSPORT=m
CONFIG_INET_XFRM_MODE_TUNNEL=m
CONFIG_INET_XFRM_MODE_BEET=m
CONFIG_IPV6_TUNNEL=m
CONFIG_NETFILTER=y
CONFIG_NETFILTER_XTABLES=m
CONFIG_NETFILTER_XT_TARGET_CLASSIFY=m
CONFIG_NETFILTER_XT_TARGET_IDLETIMER=m
CONFIG_NETFILTER_XT_TARGET_MARK=m
CONFIG_NETFILTER_XT_MATCH_COMMENT=m
CONFIG_NETFILTER_XT_MATCH_CPU=m
CONFIG_NETFILTER_XT_MATCH_IPRANGE=m
CONFIG_NETFILTER_XT_MATCH_LENGTH=m
CONFIG_NETFILTER_XT_MATCH_LIMIT=m
CONFIG_NETFILTER_XT_MATCH_MAC=m
CONFIG_NETFILTER_XT_MATCH_MARK=m
CONFIG_NETFILTER_XT_MATCH_MULTIPORT=m
CONFIG_NETFILTER_XT_MATCH_PKTTYPE=m
CONFIG_NETFILTER_XT_MATCH_POLICY=m
CONFIG_NETFILTER_XT_MATCH_SCTP=m
CONFIG_BRIDGE_NF_EBTABLES=m
CONFIG_BRIDGE_EBT_BROUTE=m
CONFIG_BRIDGE_EBT_T_FILTER=m
CONFIG_BRIDGE_EBT_T_NAT=m
CONFIG_BRIDGE_EBT_802_3=m
CONFIG_BRIDGE_EBT_AMONG=m
CONFIG_BRIDGE_EBT_ARP=m
CONFIG_BRIDGE_EBT_IP=m
CONFIG_BRIDGE_EBT_IP6=m
CONFIG_BRIDGE_EBT_LIMIT=m
CONFIG_BRIDGE_EBT_MARK=m
CONFIG_BRIDGE_EBT_PKTTYPE=m
CONFIG_BRIDGE_EBT_STP=m
CONFIG_BRIDGE_EBT_VLAN=m
CONFIG_BRIDGE_EBT_ARPREPLY=m
CONFIG_BRIDGE_EBT_DNAT=m
CONFIG_BRIDGE_EBT_MARK_T=m
CONFIG_BRIDGE_EBT_REDIRECT=m
CONFIG_BRIDGE_EBT_SNAT=m
CONFIG_BRIDGE_EBT_LOG=m
CONFIG_BRIDGE_EBT_ULOG=m
CONFIG_BRIDGE_EBT_NFLOG=m
CONFIG_NET_SCHED=y
CONFIG_NET_SCH_CBQ=m
CONFIG_NET_SCH_HTB=m
CONFIG_NET_SCH_HFSC=m
CONFIG_NET_SCH_PRIO=m
CONFIG_NET_SCH_MULTIQ=m
CONFIG_NET_SCH_RED=m
CONFIG_NET_SCH_SFB=m
CONFIG_NET_SCH_SFQ=m
CONFIG_NET_SCH_TEQL=m
CONFIG_NET_SCH_TBF=m
CONFIG_NET_SCH_GRED=m
CONFIG_NET_SCH_DSMARK=m
CONFIG_NET_SCH_NETEM=m
CONFIG_NET_SCH_DRR=m
CONFIG_NET_SCH_MQPRIO=m
CONFIG_NET_SCH_CHOKE=m
CONFIG_NET_SCH_QFQ=m
CONFIG_NET_SCH_CODEL=m
CONFIG_NET_SCH_FQ_CODEL=m
CONFIG_NET_SCH_INGRESS=m
CONFIG_NET_CLS=y
CONFIG_NET_CLS_BASIC=m
CONFIG_NET_CLS_TCINDEX=m
CONFIG_NET_CLS_ROUTE4=m
CONFIG_NET_CLS_FW=m
CONFIG_NET_CLS_U32=m
CONFIG_CLS_U32_MARK=y
CONFIG_NET_CLS_RSVP=m
CONFIG_NET_CLS_RSVP6=m
CONFIG_NET_CLS_FLOW=m
CONFIG_NET_EMATCH=y
CONFIG_NET_EMATCH_STACK=32
CONFIG_NET_EMATCH_CMP=m
CONFIG_NET_EMATCH_NBYTE=m
CONFIG_NET_EMATCH_U32=m
CONFIG_NET_EMATCH_META=m
CONFIG_NET_EMATCH_TEXT=m
CONFIG_NET_CLS_ACT=y
CONFIG_NET_ACT_POLICE=m
CONFIG_NET_ACT_GACT=m
CONFIG_GACT_PROB=y
CONFIG_NET_ACT_MIRRED=m
CONFIG_NET_ACT_IPT=m
CONFIG_NET_ACT_NAT=m
CONFIG_NET_ACT_PEDIT=m
CONFIG_NET_ACT_SIMP=m
CONFIG_NET_ACT_SKBEDIT=m
CONFIG_NET_ACT_CSUM=m
CONFIG_NET_CLS_IND=y
CONFIG_NET_SCH_FIFO=y
CONFIG_IP_SCTP=m
CONFIG_VLAN_8021Q=m
CONFIG_IP_MULTICAST=y

#Networking drivers
CONFIG_NET_VENDOR_TI=y
CONFIG_KEYSTONE_NAVIGATOR_QMSS=y
CONFIG_KEYSTONE_NAVIGATOR_DMA=y
CONFIG_TI_KEYSTONE_NETCP=y
CONFIG_TI_KEYSTONE_NETCP_ETHSS=y
CONFIG_TI_KEYSTONE_NETCP_PA_CORE=y
CONFIG_TI_KEYSTONE_NETCP_PA=y
CONFIG_TI_KEYSTONE_NETCP_PA2=y
CONFIG_TI_DAVINCI_EMAC=y
CONFIG_TI_DAVINCI_MDIO=y
CONFIG_TI_DAVINCI_CPDMA=y
CONFIG_TI_CPSW_PHY_SEL=y
CONFIG_TI_CPSW_ALE=y
CONFIG_TI_CPSW=y
CONFIG_TI_CPTS=y
#PRUSS Ethernet driver
CONFIG_TI_PRUETH=m
# non-TI Net vendors
CONFIG_NET_VENDOR_ARC=n
CONFIG_NET_CADENCE=n
CONFIG_NET_VENDOR_CIRRUS=n
CONFIG_NET_VENDOR_FARADAY=n
CONFIG_NET_VENDOR_HISILICON=n
CONFIG_IGB=n
CONFIG_NET_VENDOR_MICROCHIP=n
CONFIG_NET_VENDOR_NATSEMI=n
CONFIG_NET_VENDOR_8390=n
CONFIG_NET_VENDOR_QUALCOMM=n
CONFIG_R8169=n
CONFIG_NET_VENDOR_SAMSUNG=n
CONFIG_NET_VENDOR_SEEQ=n
CONFIG_NET_VENDOR_STMICRO=n
CONFIG_NET_VENDOR_VIA=n
CONFIG_NET_VENDOR_WIZNET=n

# Filesystem extra options
CONFIG_EXT4_FS_POSIX_ACL=y
CONFIG_EXT4_FS_SECURITY=y

#MDIO phys
CONFIG_MARVELL_PHY=y
CONFIG_MICREL_PHY=y
# unused PHY drivers
CONFIG_BROADCOM_PHY=n
CONFIG_ICPLUS_PHY=n
#PRU MII PHYs for Industrial Boards
CONFIG_DP83848_PHY=y
# Enable phy for DRA72 evm
CONFIG_DP83867_PHY=y

#MMC
CONFIG_MMC=y
CONFIG_MMC_OMAP_HS=y
CONFIG_MMC_SDHCI=n
CONFIG_MMC_DW=n

#CAN
CONFIG_CAN=m
CONFIG_CAN_C_CAN=m
CONFIG_CAN_C_CAN_PLATFORM=m

#USB gadgets
CONFIG_USB_GADGET=m
CONFIG_USB_AUDIO=m
CONFIG_USB_ETH=m
CONFIG_USB_G_NCM=m
CONFIG_USB_GADGETFS=m
CONFIG_USB_FUNCTIONFS=m
CONFIG_USB_FUNCTIONFS_ETH=y
CONFIG_USB_FUNCTIONFS_RNDIS=y
CONFIG_USB_FUNCTIONFS_GENERIC=y
CONFIG_USB_MASS_STORAGE=m
CONFIG_USB_G_SERIAL=m
CONFIG_USB_MIDI_GADGET=m
CONFIG_USB_G_PRINTER=m
CONFIG_USB_CDC_COMPOSITE=m
CONFIG_USB_G_ACM_MS=m
CONFIG_USB_G_MULTI=m
CONFIG_USB_G_MULTI_CDC=y
CONFIG_USB_G_HID=m
CONFIG_USB_G_DBGP=m
CONFIG_USB_G_WEBCAM=m
CONFIG_USB_GADGET_STORAGE_NUM_BUFFERS=32
CONFIG_USB_ZERO=m

#USB OTG
CONFIG_USB_OTG=y

# USB DWC3
CONFIG_USB_DWC3=m
CONFIG_USB_DWC3_DUAL_ROLE=y
CONFIG_USB_DWC3_OMAP=m
CONFIG_USB_DWC3_PCI=n
CONFIG_USB_DWC2=n
CONFIG_USB_CHIPIDEA=n

#USB MUSB
CONFIG_USB_MUSB_HDRC=m
CONFIG_USB_MUSB_DUAL_ROLE=y
CONFIG_USB_MUSB_OMAP2PLUS=m
CONFIG_USB_MUSB_AM35X=m
CONFIG_USB_MUSB_DSPS=m
CONFIG_USB_MUSB_AM335X_CHILD=m
CONFIG_TI_CPPI41=y
CONFIG_USB_TI_CPPI41_DMA=y
CONFIG_AM335X_CONTROL_USB=y
CONFIG_AM335X_PHY_USB=y

#USB EHCI
CONFIG_USB=m
CONFIG_USB_EHCI_HCD=m
CONFIG_USB_EHCI_PCI=m
CONFIG_USB_EHCI_HCD_OMAP=m

#USB testing
CONFIG_USB_USBNET=m
CONFIG_USB_NET_DRIVERS=m
CONFIG_USB_NET_SMSC95XX=m
CONFIG_USB_TEST=m

#USB Serial
CONFIG_USB_ACM=m
CONFIG_USB_SERIAL=m
CONFIG_USB_FTDI_SIO=m

# Extcon drivers
CONFIG_EXTCON=m
CONFIG_EXTCON_PALMAS=m
CONFIG_EXTCON_USB_GPIO=m

#Touchscreen/ADC
CONFIG_TOUCHSCREEN_EDT_FT5X06=m
CONFIG_TOUCHSCREEN_PIXCIR=m
CONFIG_TOUCHSCREEN_TI_AM335X_TSC=m
CONFIG_TOUCHSCREEN_GOODIX=m
CONFIG_TI_AM335X_ADC=m
CONFIG_TOUCHSCREEN_LDC3001=y

#QSPI
CONFIG_SPI_CADENCE_QUADSPI=m
CONFIG_SPI_TI_QSPI=y

#Disable unused SPI controllers
CONFIG_SPI_BITBANG=n
CONFIG_SPI_CADENCE=n
CONFIG_SPI_ROCKCHIP=n
CONFIG_SPI_XILINX=n
CONFIG_SPI_SPIDEV=n

# PWM
CONFIG_PWM_TIECAP=y
CONFIG_PWM_TIEHRPWM=y
CONFIG_PWM_TIPWMSS=y

# 1-wire Bus Masters
CONFIG_W1=m
CONFIG_HDQ_MASTER_OMAP=m

# Matrix keypad
CONFIG_KEYBOARD_MATRIX=m

# Rotary Encoder
CONFIG_INPUT_GPIO_ROTARY_ENCODER=m
CONFIG_INPUT_GPIO_ROTARY_ENCODER_POLL_MODE_SUPPORT=y
